Skip to main content
`Ctrl`+`K`

# DMPlexBuildCoordinatesFromCellList

Build `DM` coordinates from a list of coordinates for each owned vertex (common mesh generator output)

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexBuildCoordinatesFromCellList(DM dm, PetscInt spaceDim, const PetscReal vertexCoords[])

Collective

## Input Parameters

- dm - The `DM`

- spaceDim - The spatial dimension used for coordinates

- vertexCoords - An array of numVertices*spaceDim numbers, the coordinates of each vertex

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexBuildCoordinatesFromCellListParallel()`, `DMPlexCreateFromCellListPetsc()`, `DMPlexBuildFromCellList()`

## Level

advanced

## Location

src/dm/impls/plex/plexcreate.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages